The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

whm bug

Discussion in 'General Discussion' started by rusel, Mar 23, 2006.

  1. rusel

    rusel BANNED

    Joined:
    Aug 1, 2005
    Messages:
    28
    Likes Received:
    0
    Trophy Points:
    0
    Location:
    Poland
    Hello, I dont really know, is this a bug, but error for siure ;)
    I get server which was configurated by some admin, and I can not contatc with him. Now, when I`m trying to BUILD APACHE with php 4.4.2 etc, after Build Complete there are still the same 4.4.1 php and all configs are same.
    Code:
    php -v 
    
    Failed loading /usr/local/ioncube/ioncube_loader_lin_4.4.so:  /usr/local/ioncube/ioncube_loader_lin_4.4.so: cannot open shared object file: No such file or directory
    PHP 4.4.1 (cli) (built: Mar 23 2006 01:09:02)
    Copyright (c) 1997-2004 The PHP Group
    Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies
        with Zend Extension Manager v1.0.10, Copyright (c) 2003-2006, by Zend Technologies
        with Zend Optimizer v3.0.0beta3, Copyright (c) 1998-2006, by Zend Technologies
    
    server:/var/log # cd /usr/local/ioncube/
    server:/usr/local/ioncube # ls -l
    total 4972
    drwxr-xr-x   2 root root    4096 Mar 23 01:28 .
    drwxr-xr-x  19 root root    4096 Mar 23 13:25 ..
    -rw-rw-r--   1 root root   10592 Jan 11 16:17 LICENSE.txt
    -rw-rw-r--   1 root root    3044 Jan 11 16:17 README.txt
    -rw-rw-r--   1 root root    1188 Sep 21  2005 ioncube-encoded-file.php
    -rw-rw-r--   1 root root     205 Mar 16  2005 ioncube-install-assistant.php
    -rw-rw-r--   1 root root   26240 Dec  2 14:59 ioncube-loader-helper.php
    -rw-rw-r--   1 root root     205 Mar 16  2005 ioncube-rtl-tester.php
    -rw-rw-r--   1 root root     205 Mar 16  2005 ioncube-sysinfo.php
    -rwxr-xr-x   1 root root  278632 Dec 30 21:17 ioncube_loader_lin_4.0.so
    -rwxr-xr-x   1 root root  292840 Feb 23 18:14 ioncube_loader_lin_4.1.so
    -rwxr-xr-x   1 root root  285832 Feb 23 18:15 ioncube_loader_lin_4.2.so
    -rwxr-xr-x   1 root root  295688 Feb 23 18:15 ioncube_loader_lin_4.2_ts.so
    -rwxr-xr-x   1 root root  286152 Feb 23 18:16 ioncube_loader_lin_4.3.so
    -rwxr-xr-x   1 root root  296136 Feb 23 18:16 ioncube_loader_lin_4.3_ts.so
    -rwxr-xr-x   1 root root  291592 Feb 23 18:17 ioncube_loader_lin_4.4.so
    -rwxr-xr-x   1 root root  301800 Feb 23 18:18 ioncube_loader_lin_4.4_ts.so
    -rwxr-xr-x   1 root root  275880 Feb 23 18:18 ioncube_loader_lin_5.0.so
    -rwxr-xr-x   1 root root  285064 Feb 23 18:19 ioncube_loader_lin_5.0_ts.so
    -rwxr-xr-x   1 root root  999656 Feb 23 18:20 ioncube_loader_lin_5.1.so
    -rwxr-xr-x   1 root root 1053160 Feb 23 18:22 ioncube_loader_lin_5.1_ts.so
    
    and look at it:
    Code:
    initfpsuexec: using apache 1.x support
    PHP version file has been updated to 
    Executing /scripts/postbuildapache (if exists)...Done
    /etc/rc.d/init.d/httpd start: httpd started
    
    strange, isnt it?
    and problem with ioncube... all dirs are fine, chmods... it is really wired... does someone has this problem? I just dont know what to think about it... Regards, Artur.
     
    #1 rusel, Mar 23, 2006
    Last edited: Mar 23, 2006
  2. webignition

    webignition Well-Known Member

    Joined:
    Jan 22, 2005
    Messages:
    1,880
    Likes Received:
    0
    Trophy Points:
    36
    Be careful about which php version you are checking.

    Try:
    Code:
    /usr/bin/php -v
    /usr/local/bin/php -v
    and spot the difference.

    For me, /usr/bin/php is the public php installation and /usr/local/bin/php is, from what I can tell, the default OS installation.
     
  3. AndyReed

    AndyReed Well-Known Member
    PartnerNOC

    Joined:
    May 29, 2004
    Messages:
    2,222
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Minneapolis, MN
    What Php version does the WHM display? Did you uncheck Php 4.4.1 before proceeding with the build.
     
  4. rusel

    rusel BANNED

    Joined:
    Aug 1, 2005
    Messages:
    28
    Likes Received:
    0
    Trophy Points:
    0
    Location:
    Poland
    Code:
    server:/ # /usr/bin/php -v
    Failed loading /usr/local/ioncube/ioncube_loader_lin_4.4.so:  /usr/local/ioncube/ioncube_loader_lin_4.4.so: cannot open shared object file: No such file or directory
    PHP 4.4.1 (cgi) (built: Mar 23 2006 01:17:22)
    
    server:/ # /usr/local/bin/php -v
    Failed loading /usr/local/ioncube/ioncube_loader_lin_4.4.so:  /usr/local/ioncube/ioncube_loader_lin_4.4.so: cannot open shared object file: No such file or directory
    PHP 4.4.1 (cli) (built: Mar 23 2006 01:09:02)
    
    hmm cgi and cli versions...
    http://www.fastom.pl/info.php
    ehh.. if i run /scripts/install.sh, will i lose all my datas? /home dirs and mysql bases? Coz I`d like to reinstall whm ... it would be the best option I think. Regards.
     
  5. AndyReed

    AndyReed Well-Known Member
    PartnerNOC

    Joined:
    May 29, 2004
    Messages:
    2,222
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Minneapolis, MN
    I think this is a ZendOptimizer problem. You are using v3beta and I am not sure if that will work with ioncube. Downgrade ZendOptimizer to 2.6.x. You also need to check on the directives in your php.ini file.
     
  6. rusel

    rusel BANNED

    Joined:
    Aug 1, 2005
    Messages:
    28
    Likes Received:
    0
    Trophy Points:
    0
    Location:
    Poland
    after downgrade do 2.6.x
    Code:
    server:/usr/local/Zend/lib # ls
    .   Optimizer-2_6_2  Optimizer_TS-2_6_2  ZendExtensionManager.so     ioncube_loader_lin_4.4.so
    ..  Optimizer-3.0.0  Optimizer_TS-3.0.0  ZendExtensionManager_TS.so  ioncube_loader_lin_4.4_ts.so
    server:/usr/local/Zend/lib # /usr/bin/php -v
    Failed loading /usr/local/ioncube/ioncube_loader_lin_4.4.so:  /usr/local/ioncube/ioncube_loader_lin_4.4.so: cannot open shared object file: No such file or directory
    Failed loading /usr/local/Zend/lib/ZendExtensionManager.so:  /usr/local/Zend/lib/ZendExtensionManager.so: cannot open shared object file: No such file or directory
    PHP 4.4.1 (cgi) (built: Mar 23 2006 01:17:22)
    Copyright (c) 1997-2004 The PHP Group
    Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies
    
    is it possibility to just remove all php`s?
     
  7. rusel

    rusel BANNED

    Joined:
    Aug 1, 2005
    Messages:
    28
    Likes Received:
    0
    Trophy Points:
    0
    Location:
    Poland
    I upgraded php manually fastom.pl/info.php, but php still is as cgi PHP 4.4.1 (cgi) (built: Mar 23 2006 01:17:22) both in /usr/bin/php and /usr/local/bin/php. My users does not see their bases, i tried to run /script/fixmysqlpriv but this script is bad or I dont know how to use it... Regards.
     
Loading...

Share This Page